[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# PrimarySelection

PrimarySelection - the first selection if multiple clipboards exist.

## Declaration

Source position: clipbrd.pp line 236

`function PrimarySelection: TClipboard;`

## Function result

Returns a variable of type TClipboard.

## Description

The PrimarySelection is available on platforms like X. Normally when the user selects some text with the mouse the primary selection is set and when the user clicks the middle mouse button the text is copied to the mouse position. On platforms without multiple clipboards, the PrimarySelection still works in the LCL application, but does not communicate with other applications.